## flxdec flxdec |

## Types and Values

struct | GstFlxDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstFlxDec

## Description

This element decodes fli/flc/flx-video into raw video

## Synopsis

### Element Information

plugin | flxdec
author | Sepp Wijnands <mrrazz@garbage-coderz.net>, Zeeshan Ali <zeenix@gmail.com>
class | Codec/Decoder/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-fli

name | src
direction | source
presence | always
details | video/x-raw, format=(string)BGRx, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstFlxDec

    struct GstFlxDec;